Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.serverless
Class QueueReceiverAddress

    java.lang.Object
      org.jboss.jms.serverless.QueueReceiverAddress

All Implemented Interfaces:
  java.io.Serializable

public class QueueReceiverAddress
extends java.lang.Object
implements java.io.Serializable

A wrapper around information that uniquely identifies a QueueReceiver in a group.

Version:
  $Revision: 1.2 $ $Date: 2005/10/30 00:05:39 $
Author:
  Ovidiu Feodorov
See Also:
  Serialized Form

Constructor Summary
`QueueReceiverAddress(Address addr, java.lang.String sessionID, java.lang.String queueReceiverID)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`Address` | `getAddress()`
`java.lang.String` | `getReceiverID()`
`java.lang.String` | `getSessionID()`
`int` | `hashCode()`
`boolean` | `isNextForDelivery()`
`void` | `setNextForDelivery(boolean b)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueueReceiverAddress

    public QueueReceiverAddress(Address addr,
                                java.lang.String sessionID,
                                java.lang.String queueReceiverID)

Method Detail

### getAddress

    public Address getAddress()

### getSessionID

    public java.lang.String getSessionID()

### getReceiverID

    public java.lang.String getReceiverID()

### isNextForDelivery

    public boolean isNextForDelivery()

### setNextForDelivery

    public void setNextForDelivery(boolean b)

### equals

    public boolean equals(java.lang.Object o)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.